All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Interface DeploymentStrategyInterface

All Known Implementing Classes:
  AbstractDeploymentStrategy, DeploymentDescriptorContext, OMRDeploymentContext, URLDeploymentContext

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface DeploymentStrategyInterface

Interface to create and reconfigure a deployment file for SAS Foundation Services.

Since:
  9.2

Method Summary
`abstract void` | `createFile(com.sas.metadata.remote.SoftwareComponent softwareComponent, java.io.File file)` Creates a deployment file which represents SAS Foundation Services as beans which can be deployed in an Inversion of Control (IOC) container.
`abstract void` | `createFiles(com.sas.metadata.remote.SoftwareComponent softwareComponent, java.io.File file, java.io.File clientFile)` Creates deployment files which represents SAS Foundation Services as beans which can be deployed and looked up by applications using an Inversion of Control (IOC) container.
`abstract void` | `reconfigure(java.util.Properties properties, java.io.File inputFile, java.io.File outputFile)` Reconfigures the deployment using the specified properties that describe the services deployment.

Method Detail

### createFile

    void createFile(com.sas.metadata.remote.SoftwareComponent softwareComponent,
                    java.io.File file)
                    throws ServiceException

  Creates a deployment file which represents SAS Foundation Services as beans which can be deployed in an Inversion of Control (IOC) container.

  Parameters:
    `softwareComponent` - The software component that represents a foundation services deployment.
    `file` - The output file to which the service deployment metadata will be written.
  Throws:
    `ServiceException` - if unable to create a document.

### createFiles

    void createFiles(com.sas.metadata.remote.SoftwareComponent softwareComponent,
                     java.io.File file,
                     java.io.File clientFile)
                     throws ServiceException

  Creates deployment files which represents SAS Foundation Services as beans which can be deployed and looked up by applications using an Inversion of Control (IOC) container.

  Parameters:
    `softwareComponent` - The software component that represents a foundation services deployment.
    `file` - The output file to which beans will be written describing a services deployment from the perspective of an application that is deploying the services.
    `clientFile` - The output file to which beans will be written describing a services deployment from the perspective of an application that is looking up remote services remotely.
  Throws:
    `ServiceException` - if unable to create a document.

### reconfigure

    void reconfigure(java.util.Properties properties,
                     java.io.File inputFile,
                     java.io.File outputFile)
                     throws ServiceException

  Reconfigures the deployment using the specified properties that describe the services deployment.

  Parameters:
    `properties` - Properties whose values should be substituted in order to reconfigure the deployment.
    `inputFile` - The input file containing the deployment which is to be reconfigured.
    `outputFile` - The output file to which the reconfigured deployment will be written.
  Throws:
    `ServiceException` - if unable to reconfigure the deployment file.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.